<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePrivRole extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dc_priv_role', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('role_id')->comment('所属角色 ')->nullable();
            $table->char('role_name',50)->comment('角色名称 ')->nullable();
            // $table->char('priv_code',100)->comment('权限代码 ')->nullable();
            $table->integer('priv_id')->comment('所属权限 ')->nullable();
            $table->dateTime('create_at',64)->comment('时间 ')->nullable();
        });
       
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::dropIfExists('dc_priv_role');
    }
}
